VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Namespaces | Functions
stringconvert.cpp File Reference
`#include "stringconvert.h"`
`#include <codecvt>`
`#include <locale>`
`#include <istream>`

## Namespaces
namespace | VST3
namespace | VST3::StringConvert

## Functions
std::u16string | convert (const std::string &utf8Str)
| convert an UTF-8 string to an UTF-16 string
bool | convert (const std::string &utf8Str, Steinberg::Vst::String128 str)
| convert an UTF-8 string to an UTF-16 string buffer with max 127 characters
bool | convert (const std::string &utf8Str, Steinberg::Vst::TChar *str, uint32_t maxCharacters)
| convert an UTF-8 string to an UTF-16 string buffer
std::string | convert (const Steinberg::Vst::TChar *str)
| convert an UTF-16 string buffer to an UTF-8 string
std::string | convert (const Steinberg::Vst::TChar *str, uint32_t max)
| convert an UTF-16 string buffer to an UTF-8 string
std::string | convert (const std::u16string &str)
| convert an UTF-16 string to an UTF-8 string
std::string | convert (const char *str, uint32_t max)
| convert a ASCII string buffer to an UTF-8 string

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.